- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.ListRolloutsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/config-sync/docs/reference/rest/v1beta/projects.locations.fleetPackages.rollouts/list.md.txt#body.aspect_1)

Lists Rollouts in a given project, location, and Fleet Package.

### HTTP request

`GET https://configdelivery.googleapis.com/v1beta/{parent=projects/*/locations/*/fleetPackages/*}/rollouts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListRolloutsRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Message for response to listing Rollouts

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rollouts": [ { object (`Rollout`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `rollouts[]` | ``object (`Rollout`)`` The list of Rollouts |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `configdelivery.rollouts.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).